﻿using System;
using System.Runtime.InteropServices;


    /// <summary>
    /// Set current mouse input status.
    /// </summary>
    [LibVlcFunction("libvlc_video_set_mouse_input")]
    [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
    internal delegate void SetMouseInput(IntPtr mediaPlayerInstance, uint status);


    [AttributeUsage(AttributeTargets.Delegate, AllowMultiple = false)]
    internal sealed class LibVlcFunctionAttribute : Attribute
    {
        public string FunctionName { get; private set; }

        public LibVlcFunctionAttribute(string functionName)
        {
            FunctionName = functionName;
        }
    }
